From 8f273cca362f515430257ef4f39c89d7cb138df3 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Jun 27 2017 16:25:38 +0000
Subject: [PATCH 891/1001] Add a parameter to control the number of issues to display


---

diff --git a/hubs/widgets/bugzilla/__init__.py b/hubs/widgets/bugzilla/__init__.py
index 7125aaf..2fc20a9 100644
--- a/hubs/widgets/bugzilla/__init__.py
+++ b/hubs/widgets/bugzilla/__init__.py
@@ -22,11 +22,17 @@ class Bugzilla(Widget):
     label = "Bugzilla issues"
     position = "right"
     parameters = [dict(
-        name="username",
-        label="Username",
-        default=None,
-        validator=validators.Username,
-        help="A FAS username.",
+            name="username",
+            label="Username",
+            default=None,
+            validator=validators.Username,
+            help="A FAS username.",
+        ), dict(
+            name="max",
+            label="Max number of issues",
+            default=3,
+            validator=validators.Integer,
+            help="The maximum number of issues to display.",
         )]
 
 
@@ -54,14 +60,15 @@ class GetIssues(CachedFunction):
 
     def execute(self):
         username = self.instance.config["username"]
+        max_num = int(self.instance.config("max", 3))
         owned = get_owned_packages(username)
         issues = []
         for pkg_name in owned:
-            if len(issues) == 3:
+            if len(issues) == max_num:
                 break
             pkg_details = pkgwat.api.bugs(pkg_name)
             for row in pkg_details['rows']:
-                if len(issues) == 3:
+                if len(issues) == max_num:
                     break
                 issues.append(
                     dict(

